com.icesoft.faces.component.dataexporter

## Class CSVOutputHandler

- java.lang.Object
- - com.icesoft.faces.component.dataexporter.OutputTypeHandler
  - - com.icesoft.faces.component.dataexporter.CSVOutputHandler

-     public class CSVOutputHandler
      extends OutputTypeHandler

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.component.dataexporter.OutputTypeHandler

      `file, mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVOutputHandler(java.lang.String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `escapeString(java.lang.Object output)`
    `void` | `flushFile()`
    `void` | `writeCell(java.lang.Object output, int col, int row)` The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
    `void` | `writeHeaderCell(java.lang.String text, int col)`

    - ### Methods inherited from class com.icesoft.faces.component.dataexporter.OutputTypeHandler

      `getFile, getMimeType, writeFooterCell`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSVOutputHandler

          public CSVOutputHandler(java.lang.String path)

  - ### Method Detail

    - #### flushFile

          public void flushFile()

      Specified by:
        `flushFile` in class `OutputTypeHandler`

    - #### writeCell

          public void writeCell(java.lang.Object output,
                                int col,
                                int row)

      Description copied from class: `OutputTypeHandler`
      The row indexing is zero based, from the perspective of the row data, ignoring how many rows were used for the header
      Specified by:
        `writeCell` in class `OutputTypeHandler`

    - #### writeHeaderCell

          public void writeHeaderCell(java.lang.String text,
                                      int col)

      Specified by:
        `writeHeaderCell` in class `OutputTypeHandler`

    - #### escapeString

          protected java.lang.String escapeString(java.lang.Object output)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.